
# Copyright (c) 2003,2004 Guilherme Salgado
# All rights reserved.
#
# This file is part of coverhunter.
# 
# coverhunter is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# coverhunter is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with coverhunter; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
#
# Author: Guilherme Salgado <salgado@async.com.br>
#

import os
from ConfigParser import SafeConfigParser

import amazon

parser = SafeConfigParser()
config_file = os.path.expanduser("~/.coverhunter")
parser.read(config_file)

def save_amazon_token(token):
    if not parser.has_section('Amazon'):
        parser.add_section('Amazon')
    parser.set('Amazon', 'Token', token)
    parser.write(open(config_file, 'w'))

def get_amazon_token():
    if not parser.has_option('Amazon', 'Token'):
        return None
    return parser.get('Amazon', 'Token')

